Package org.bukkit.plugin

# Class PluginBase

java.lang.Object
org.bukkit.plugin.PluginBase

All Implemented Interfaces:
  `CommandExecutor`, `TabCompleter`, `TabExecutor`, `Plugin`

Direct Known Subclasses:
  `JavaPlugin`

public abstract class PluginBase extends Object implements Plugin
Represents a base `Plugin`

Extend this class if your plugin is not a `JavaPlugin`

## Constructor Summary

Constructors
Constructor
Description
`PluginBase()`

## Method Summary

Modifier and Type
Method
Description
`final boolean`
`equals(Object obj)`
`final @NotNull String`
`getName()`
Returns the name of the plugin.
`final int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.command.CommandExecutor

`onCommand`

### Methods inherited from interface org.bukkit.plugin.Plugin

`getConfig, getDataFolder, getDefaultBiomeProvider, getDefaultWorldGenerator, getDescription, getLog4JLogger, getLogger, getPluginLoader, getResource, getServer, getSLF4JLogger, isEnabled, isNaggable, onDisable, onEnable, onLoad, reloadConfig, saveConfig, saveDefaultConfig, saveResource, setNaggable`

### Methods inherited from interface org.bukkit.command.TabCompleter

`onTabComplete`

## Constructor Details

### PluginBase

public PluginBase()

## Method Details

### hashCode

public final int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public final boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### getName

@NotNull public final @NotNull String getName()
Description copied from interface: `Plugin`
Returns the name of the plugin.

This should return the bare name of the plugin and should be used for comparison.

Specified by:
  `getName` in interface `Plugin`
Returns:
  name of the plugin